> For the complete documentation index, see [llms.txt](https://docs.eueno.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eueno.io/eueno-libraries/eueno-lib-browser/getuserinfo.md).

# getUserInfo()

## Syntax

```javascript
getUserInfor(token)
```

After login, you can use this method to get user information.

## Parameters

<table><thead><tr><th width="109">Name</th><th width="121">Type</th><th width="102">Required</th><th>Description</th></tr></thead><tbody><tr><td>token</td><td>string</td><td>Yes</td><td>The authentication token response from Eueno API when login. After login success, this token was saved in local storage with the name "eueno-token".</td></tr></tbody></table>

## Example

{% code lineNumbers="true" %}

```javascript
import { getUserInfo } from "@eueno/lib-browser";

const getData = async () => {
   try {
     const toke = window.localStorage.getItem(“eueno-token”);
     const response = await getUserInfo(token);
     console.log(response);
   } catch (error) {
     console.log(error);
   }
 };
```

{% endcode %}

Response of example:

```json
"data": 
{
        "name_tag": "no_name",
        "balance_usd": 0,
        "avatar": null,
        "status": "ACTIVE",
        "_id": "63a9120afaeb20de89e9ac85",
        "account": "0xf069…87f15",
        "memo": "350648…6224",
        "createAt": "2022-12-26T03:16:26.903Z",
        "pack_info": 
        {
            "_id": "63a3cba5d8fd244d867c70d1",
            "price_to_usd": 10,
            "discount": 0,
            "project_size": 102400,
            "description": "payment",
            "type": "PAYMENT"
        }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eueno.io/eueno-libraries/eueno-lib-browser/getuserinfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
